flexiblas_current_backend(3)

NAME
flexiblas_current_backend - return the name of the currently used backend.

SYNOPSIS
#include <flexiblas/flexiblas_api.h> int flexiblas_current_backend(char * name, size_t *len ); Link with -lflexiblas.

DESCRIPTION
flexiblas_current_backend copies the name of the currently loaded backend to the buffer addressed by name of length len. If the name is longer than the buffer on the first len-1 characters are copied.

RETURN VALUE
On success, the length of the backend's name determined by strlen.

ERRORS
No errors occur.

SEE ALSO
flexiblas_list_loaded(3), flexiblas_list(3), flexiblas_print_current_backend(3)

REPORTING BUGS
The current information about the developers and reporting bugs can be found on the FlexiBLAS homepage. FlexiBLAS Homepage: <http://www.mpi-magdeburg.mpg.de/projects/flexiblas>

AUTHORS
 Martin Koehler, Jens Saak

COPYRIGHT
Copyright (C) 2013-2025 Martin Koehler

LICENSE
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.